petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscHSetTQueryAdd

Query and add an entry in the hash table

### Synopsis

    #include <petsc/private/hashset.h>
    PetscErrorCode PetscHSetTQueryAdd(PetscHSetT ht,KeyType key,PetscBool *missing)

### Input Parameters

| ht | - The hash table
| key | - The entry

### Output Parameter

missing -Boolean indicating whether the entry was missing

### See Also

PetscHSetTQueryDel(), PetscHSetTAdd()

### Level

developer

### Location

include/petsc/private/hashset.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages